Bug 520570 - Review Request: devio - Read and write utility for block devices
Summary: Review Request: devio - Read and write utility for block devices
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 07:31 UTC by Dan Horák
Modified: 2009-09-17 12:31 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-17 12:31:30 UTC
martin.gieseking: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Dan Horák 2009-09-01 07:31:24 UTC
Spec URL: http://fedora.danny.cz/devio.spec
SRPM URL: http://fedora.danny.cz/devio-1.2-1.fc12.src.rpm

Description:
devio is a command line utility intended to read and write on block devices.

Comment 1 Martin Gieseking 2009-09-16 16:11:58 UTC
Dan, the devio manual page mentions section 8 while you put it into man1 (which is the right place, I think). Shouldn't the section number be adapted (i.e. replace .TH DEVIO 8 by .TH DEVIO 1 in devio.man)?

Comment 2 Dan Horák 2009-09-16 17:31:29 UTC
Looks like the man page section reflects the old location (sbin) of the binary, patch with a fix posted upstream.

Updated spec URL: http://fedora.danny.cz/devio.spec
Updated SRPM URL: http://fedora.danny.cz/devio-1.2-2.fc12.src.rpm

Comment 3 Martin Gieseking 2009-09-16 20:50:16 UTC
Here's my review of this small package. 


I didn't find any further issues to be fixed, but maybe you can add the following text from the devio website to the description in order to make its purpose a bit clearer:

The primary difference between devio and other command line utilities, 
such as dd and cat, is that it is not stream based - it writes directly 
into the object rather than reading and writing a stream of data.

The wrong section number in devio.man is not a blocker.


$ rpmlint /var/lib/mock/fedora-11-x86_64/result/devio-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.

[+] MUST: The spec file name must match the base package %{name}.

[+] MUST: The package must meet the Packaging Guidelines.

[+] MUST: The package must be licensed with a Fedora approved license.
    - according to COPYING and boilerplate: MIT (modern style with sublicense)      

[+] MUST: The License field in the package spec file must match the actual license.

[+] MUST: License file must be included in %doc.
    - COPYING added to %doc

[+] MUST: The spec file must be written in American English.

[+] MUST: The spec file for the package MUST be legible.

[+] MUST: Packaged tarball must match the upstream source.
    md5 hash: 5d332c2bffc0791367bcf3368ba1a0d1

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    - koji scratch build is successful:
      https://koji.fedoraproject.org/koji/taskinfo?taskID=1684182

[+] MUST: All build dependencies must be listed in BuildRequires.
    - no explicit build dependencies necessary

[.] MUST: The spec file MUST handle locales properly. 
    - no locales

[.] MUST: Packages with shared libraries must call ldconfig in %post and %postun.
    - no shared libs

[.] MUST: If the package is designed to be relocatable,...
    - not relocatable

[.] MUST: A package must own all directories that it creates.
    - doesn't create directories

[+] MUST: Files must not listed more than once in %files.

[+] MUST: Permissions on files must be set properly.

[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.

[+] MUST: Each package must consistently use macros.

[+] MUST: The package must contain code, or permissable content.

[.] MUST: Large documentation files must go in a -doc subpackage.
    - no large docs

[+] MUST: Files in %doc must not affect the runtime of the application.

[.] MUST: Header files must be in a -devel package.
    - no header files packaged

[.] MUST: Static libraries must be in a -static package.
    - no static libs

[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
    - no pkgconfig files

[.] MUST: .so files must go in a -devel package.
    - no .so files

[.] MUST: devel packages must require the base package using a fully versioned dependency
    - no devel package

[+] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
    - no .la files created during build

[.] MUST: Packages containing GUI applications must include a %{name}.desktop file.
    - no GUI

[+] MUST: Packages must not own files or directories already owned by other packages.

[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).

[+] MUST: All filenames in rpm packages must be valid UTF-8.


[+] SHOULD: The reviewer should test that the package builds in mock.
    - builds in mock

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    - builds in koji

[.] SHOULD: If scriptlets are used, those scriptlets must be sane.
    - no scriptlets required

[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
    - no subpackages


------------------------
The package is APPROVED.
------------------------

Comment 4 Dan Horák 2009-09-16 21:00:45 UTC
I was thinking about adding the same sentence to the description :-) Thanks for the review.

Comment 5 Dan Horák 2009-09-16 21:01:40 UTC
New Package CVS Request
=======================
Package Name: devio
Short Description: Read and write utility for block devices
Owners: sharkcz
Branches: F-10 F-11 EL-5

Comment 6 Jason Tibbitts 2009-09-16 21:45:33 UTC
CVS done.

Comment 7 Dan Horák 2009-09-17 12:31:30 UTC
Imported and built.


Note You need to log in before you can comment on or make changes to this bug.